/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
const
/*boolean*/ASSERT_ENABLE = true,
ASSERT_DISABLE = false,
/*undefined*/IS_UNDEFINED,
/*null*/IS_NULL = null,
/*null*/IS_TRUE = true,
/*null*/IS_FALSE = false,
/*string*/IS_EMPTY_STRING = '',
/*string*/IS_STRING = '<\'jsconsole\'>: "JAVASCRIPT" ASSERTION UNIT',	//to check quote and tag conversion
/*int*/IS_ZERO_NUMBER = 0,
/*int*/IS_NUMBER = 9876,
/*int*/IS_HEX_NUMBER = 0x01EF,
/*any[]*/IS_EMPTY_ARRAY = [],
/*any[]*/IS_ARRAY = [IS_STRING, IS_NUMBER],
/*any[]*/IS_EMPTY_OBJECT = {},
/*any[]*/IS_OBJECT = {proString:IS_STRING, proInt:IS_NUMBER};
/*function*/function IS_FUNCTION(arg){
var foo = 1234;
}

const
/*string*/ARRAY_STRING = 'IS_ARRAY is [<\'jsconsole\'>: "JAVASCRIPT" ASSERTION UNIT, 9876]',
OBJECT_STRING = 'IS_OBJECT is {proString:<\'jsconsole\'>: "JAVASCRIPT" ASSERTION UNIT, proInt:9876}';

TEST_core();

function
TEST_core(){
TEST_isNull();
TEST_isNotNull();
TEST_isUndefined();
TEST_isNotUndefined();
TEST_isTrue();
TEST_isFalse();
TEST_isNumber();
TEST_isNotNumber();
TEST_isEqualToString();
TEST_isNotEqualToString();
}

function
TEST_isNull(){
const
/*string*/atCall = 'TEST_isNull: ';

__ASSERT__.warn('TEST_isNull: TESTS with IS_NULL');
__ASSERT__.isNull(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isNull: TESTS with IS_UNDEFINED');
__ASSERT__.isNull(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isNull: TESTS with IS_TRUE');
__ASSERT__.isNull(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isNull: TESTS with IS_FALSE');
__ASSERT__.isNull(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isNull: TESTS with IS_EMPTY_STRING');
__ASSERT__.isNull(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isNull: TESTS with IS_STRING');
__ASSERT__.isNull(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isNull: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isNull(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isNull: TESTS with IS_NUMBER');
__ASSERT__.isNull(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isNull: TESTS with IS_HEX_NUMBER');
__ASSERT__.isNull(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isNull: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isNull(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isNull: TESTS with IS_ARRAY');
__ASSERT__.isNull(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isNull: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isNull(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isNull: TESTS with IS_OBJECT');
__ASSERT__.isNull(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);

__ASSERT__.warn('TEST_isNull: TESTS with IS_FUNCTION');
__ASSERT__.isNull(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');
}


function
TEST_isNotNull(){
const
/*string*/atCall = 'TEST_isNotNull: ';

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_NULL');
__ASSERT__.isNotNull(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_UNDEFINED');
__ASSERT__.isNotNull(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_TRUE');
__ASSERT__.isNotNull(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_FALSE');
__ASSERT__.isNotNull(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_EMPTY_STRING');
__ASSERT__.isNotNull(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_STRING');
__ASSERT__.isNotNull(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isNotNull(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_NUMBER');
__ASSERT__.isNotNull(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_HEX_NUMBER');
__ASSERT__.isNotNull(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isNotNull(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_ARRAY');
__ASSERT__.isNotNull(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isNotNull(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isNotNull: TESTS with IS_OBJECT');
__ASSERT__.isNotNull(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isNotNull: TESTS with IS_FUNCTION');
__ASSERT__.isNotNull(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isUndefined(){
const
/*string*/atCall = 'TEST_isUndefined: ';

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_NULL');
__ASSERT__.isUndefined(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_UNDEFINED');
__ASSERT__.isUndefined(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_TRUE');
__ASSERT__.isUndefined(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_FALSE');
__ASSERT__.isUndefined(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_EMPTY_STRING');
__ASSERT__.isUndefined(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_STRING');
__ASSERT__.isUndefined(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isUndefined(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_NUMBER');
__ASSERT__.isUndefined(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_HEX_NUMBER');
__ASSERT__.isUndefined(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isUndefined(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_ARRAY');
__ASSERT__.isUndefined(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isUndefined(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isUndefined: TESTS with IS_OBJECT');
__ASSERT__.isUndefined(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isUndefined: TESTS with IS_FUNCTION');
__ASSERT__.isUndefined(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isNotUndefined(){
const
/*string*/atCall = 'TEST_isNotUndefined: ';

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_NULL');
__ASSERT__.isNotUndefined(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_UNDEFINED');
__ASSERT__.isNotUndefined(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_TRUE');
__ASSERT__.isNotUndefined(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_FALSE');
__ASSERT__.isNotUndefined(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_EMPTY_STRING');
__ASSERT__.isNotUndefined(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_STRING');
__ASSERT__.isNotUndefined(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isNotUndefined(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_NUMBER');
__ASSERT__.isNotUndefined(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_HEX_NUMBER');
__ASSERT__.isNotUndefined(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isNotUndefined(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_ARRAY');
__ASSERT__.isNotUndefined(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isNotUndefined(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_OBJECT');
__ASSERT__.isNotUndefined(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isNotUndefined: TESTS with IS_FUNCTION');
__ASSERT__.isNotUndefined(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isTrue(){
const
/*string*/atCall = 'TEST_isTrue: ';

__ASSERT__.warn('TEST_isTrue: TESTS with IS_NULL');
__ASSERT__.isTrue(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_UNDEFINED');
__ASSERT__.isTrue(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_TRUE');
__ASSERT__.isTrue(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_FALSE');
__ASSERT__.isTrue(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_EMPTY_STRING');
__ASSERT__.isTrue(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_STRING');
__ASSERT__.isTrue(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isTrue: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isTrue(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isTrue: TESTS with IS_NUMBER');
__ASSERT__.isTrue(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isTrue: TESTS with IS_HEX_NUMBER');
__ASSERT__.isTrue(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isTrue: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isTrue(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_ARRAY');
__ASSERT__.isTrue(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isTrue: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isTrue(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isTrue: TESTS with IS_OBJECT');
__ASSERT__.isTrue(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isTrue: TESTS with IS_FUNCTION');
__ASSERT__.isTrue(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isFalse(){
const
/*string*/atCall = 'TEST_isFalse: ';

__ASSERT__.warn('TEST_isFalse: TESTS with IS_NULL');
__ASSERT__.isFalse(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_UNDEFINED');
__ASSERT__.isFalse(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_TRUE');
__ASSERT__.isFalse(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_FALSE');
__ASSERT__.isFalse(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_EMPTY_STRING');
__ASSERT__.isFalse(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_STRING');
__ASSERT__.isFalse(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isFalse: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isFalse(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isFalse: TESTS with IS_NUMBER');
__ASSERT__.isFalse(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isFalse: TESTS with IS_HEX_NUMBER');
__ASSERT__.isFalse(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isFalse: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isFalse(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_ARRAY');
__ASSERT__.isFalse(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isFalse: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isFalse(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isFalse: TESTS with IS_OBJECT');
__ASSERT__.isFalse(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isFalse: TESTS with IS_FUNCTION');
__ASSERT__.isFalse(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isNumber(){
const
/*string*/atCall = 'TEST_isNumber: ';

__ASSERT__.warn('TEST_isNumber: TESTS with IS_NULL');
__ASSERT__.isNumber(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_UNDEFINED');
__ASSERT__.isNumber(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_TRUE');
__ASSERT__.isNumber(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_FALSE');
__ASSERT__.isNumber(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_EMPTY_STRING');
__ASSERT__.isNumber(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_STRING');
__ASSERT__.isNumber(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isNumber: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isNumber(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isNumber: TESTS with IS_NUMBER');
__ASSERT__.isNumber(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isNumber: TESTS with IS_HEX_NUMBER');
__ASSERT__.isNumber(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isNumber: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isNumber(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_ARRAY');
__ASSERT__.isNumber(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isNumber: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isNumber(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isNumber: TESTS with IS_OBJECT');
__ASSERT__.isNumber(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isNumber: TESTS with IS_FUNCTION');
__ASSERT__.isNumber(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isNotNumber(){
const
/*string*/atCall = 'TEST_isNotNumber: ';

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_NULL');
__ASSERT__.isNotNumber(IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_UNDEFINED');
__ASSERT__.isNotNumber(IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_TRUE');
__ASSERT__.isNotNumber(IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_FALSE');
__ASSERT__.isNotNumber(IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_EMPTY_STRING');
__ASSERT__.isNotNumber(IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_STRING');
__ASSERT__.isNotNumber(IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isNotNumber(IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_NUMBER');
__ASSERT__.isNotNumber(IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_HEX_NUMBER');
__ASSERT__.isNotNumber(IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isNotNumber(IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_ARRAY');
__ASSERT__.isNotNumber(IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isNotNumber(IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_OBJECT');
__ASSERT__.isNotNumber(IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isNotNumber: TESTS with IS_FUNCTION');
__ASSERT__.isNotNumber(IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isEqualToString(){
const
/*string*/atCall = 'TEST_isEqualToString: ';

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_NULL');
__ASSERT__.isEqual(IS_STRING, IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_UNDEFINED');
__ASSERT__.isEqual(IS_STRING, IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_TRUE');
__ASSERT__.isEqual(IS_STRING, IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_FALSE');
__ASSERT__.isEqual(IS_STRING, IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_EMPTY_STRING');
__ASSERT__.isEqual(IS_STRING, IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_STRING');
__ASSERT__.isEqual(IS_STRING, IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isEqual(IS_STRING, IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isEqual(IS_STRING, IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_HEX_NUMBER');
__ASSERT__.isEqual(IS_STRING, IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isEqual(IS_STRING, IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_ARRAY');
__ASSERT__.isEqual(IS_STRING, IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isEqual(IS_STRING, IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_OBJECT');
__ASSERT__.isEqual(IS_STRING, IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isEqualToString: TESTS with IS_FUNCTION');
__ASSERT__.isEqual(IS_STRING, IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

function
TEST_isNotEqualToString(){
const
/*string*/atCall = 'TEST_isNotEqualToString: ';

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_NULL');
__ASSERT__.isNotEqual(IS_STRING, IS_NULL, ASSERT_ENABLE, atCall + 'IS_NULL is null');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_UNDEFINED');
__ASSERT__.isNotEqual(IS_STRING, IS_UNDEFINED, ASSERT_ENABLE, atCall + 'IS_UNDEFINED is undefined');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_TRUE');
__ASSERT__.isNotEqual(IS_STRING, IS_TRUE, ASSERT_ENABLE, atCall + 'IS_TRUE is true');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_FALSE');
__ASSERT__.isNotEqual(IS_STRING, IS_FALSE, ASSERT_ENABLE, atCall + 'IS_FALSE is false');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_EMPTY_STRING');
__ASSERT__.isNotEqual(IS_STRING, IS_EMPTY_STRING, ASSERT_ENABLE, atCall + 'IS_EMPTY_STRING is ""');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_STRING');
__ASSERT__.isNotEqual(IS_STRING, IS_STRING, ASSERT_ENABLE, atCall + 'IS_STRING is ' + IS_STRING);

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_ZERO_NUMBER');
__ASSERT__.isNotEqual(IS_STRING, IS_ZERO_NUMBER, ASSERT_ENABLE, atCall + 'IS_ZERO_NUMBER is ' + IS_ZERO_NUMBER);

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_NUMBER');
__ASSERT__.isNotEqual(IS_STRING, IS_NUMBER, ASSERT_ENABLE, atCall + 'IS_NUMBER is ' + IS_NUMBER);

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_HEX_NUMBER');
__ASSERT__.isNotEqual(IS_STRING, IS_HEX_NUMBER, ASSERT_ENABLE, atCall + 'IS_HEX_NUMBER is ' + IS_HEX_NUMBER);

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_EMPTY_ARRAY');
__ASSERT__.isNotEqual(IS_STRING, IS_EMPTY_ARRAY, ASSERT_ENABLE, atCall + 'IS_EMPTY_ARRAY is []');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_ARRAY');
__ASSERT__.isNotEqual(IS_STRING, IS_ARRAY, ASSERT_ENABLE, atCall + ARRAY_STRING);

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_EMPTY_OBJECT');
__ASSERT__.isNotEqual(IS_STRING, IS_EMPTY_OBJECT, ASSERT_ENABLE, atCall + 'IS_EMPTY_OBJECT is {}');

__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_OBJECT');
__ASSERT__.isNotEqual(IS_STRING, IS_OBJECT, ASSERT_ENABLE, atCall + OBJECT_STRING);


__ASSERT__.warn('TEST_isNotEqualToString: TESTS with IS_FUNCTION');
__ASSERT__.isNotEqual(IS_STRING, IS_FUNCTION, ASSERT_ENABLE, atCall + '"IS_FUNCTION" is function(){}');

}

