/*
 * The contents of this file are
 * published under the Mozilla Public License 1.1
 */
//################
String.prototype.startsWith = function		//<f>string<a>public<d>Check wether this string starts with a specified string
(
start		//<p>string<d>String at start
){
return this.indexOf(start) == 0;
}//</f>startsWith



//################
String.prototype.endsWith = function		//<f>string<a>public<d>Check wether this string ends with a specified string
(
end		//<p>string<d>String at end
){
return this.lastIndexOf(end) == (this.length - end.length);
}//</f>endsWith



//################
String.prototype.contains = function		//<f>string<a>public<d>Check wether this string contains a specified string
(
pattern,	//<p>string<d>Pattern string to be compared
at			//<p>int<d>Character index in this string
){
return this.substr(at, pattern.length) == pattern;
}//</f>contains



//################
String.prototype.lstrip = function		//<f>string<a>public<d>Remove spaces at start
(){
return this.replace(/^\s*/, '');
}//</f>lstrip



//################
String.prototype.rstrip = function		//<f>string<a>public<d>Remove spaces at end
(){
return this.replace(/\s*$/, '');
}//</f>rstrip



//################
String.prototype.strip = function		//<f>string<a>public<d>Remove spaces at start and end
(){
return this.lstrip().rstrip();
}//</f>strip



//################
String.prototype.splitLines = function		//<f>string<a>public<d>Split at new line, preserving new line char
(
preserving		//<p>boolean<d>Preserve new line char flag: yes || no
){
var
/*string[]*/lineSet = this.split(/\n/g),
/*boolean*/newlineEnding = this.charAt(this.length-1) == '\n';
if(preserving){
	for(var i=0,m=lineSet.length-1;i<=m;i++){
		if((i == m) && !newlineEnding) break;
		lineSet[i] += '\n';
		}
	}
return lineSet;
}//</f>splitLines



//################
String.prototype.escapeXML = function		//<f>string<a>public<d>Escape XML special characters
(){
return this.
replace(/&/g, '&#x26;').	//must be 1st
replace(/"/g, '&#x22;').
replace(/'/g, '&#x27;').
replace(/</g, '&#x3c;').
replace(/>/g, '&#x3e;');
}//</f>escapeXML



//################
String.prototype.unEscapeXML = function		//<f>string<a>public<d>Unescape XML special characters
(){
return this.
replace(/(&gt;)|(&#x3e;)|(&#x3E;)|(&#62;)/g, '>').
replace(/(&lt;)|(&#x3c;)|(&#x3C;)|(&#60;)/g, '<').
replace(/(&apos;)|(&#x27;)|(&#39;)/g, "'").
replace(/(&quot;)|(&#x22;)|(&#34;)/g, '"').
replace(/(&amp;)|(&#x26;)|(&#38;)/g, '&');	//must be last
}//</f>escapeXML



//################
String.prototype.entityToUnicode = function		//<f>string<a>public<d>XML entity character to JS Unicode convertion
(){
return this.replace(/&#(x?)([a-fA-F0-9]{2,4});/g, function(a,x,d){return '\\u' + ((d.length==2)?'00':'') + d});
}//</f>entityToUnicode



//################
String.prototype.escapeRegExp = function		//<f>string<a>public<d>Escape RegExp special characters
(){
return this.
replace(/\^/g, '\\^').
replace(/\$/g, '\\$').
replace(/\+/g, '\\+').
replace(/\*/g, '\\*').
replace(/\./g, '\\.').
replace(/\?/g, '\\?').
replace(/\[/g, '\\[').
replace(/\]/g, '\\]');
}//</f>escapeRegExp



//################
String.prototype.withQuotes = function		//<f>string<a>public<d>Enclose with quotes
(){
return '"' + this + '"';
}//</f>withQuotes



//################
String.prototype.withApos = function		//<f>string<a>public<d>Enclose with apostrophes
(){
return "'" + this + "'";
}//</f>withApos



//################
function sprintf		//<f>string<a>public<d>sprintf
(
//format		//<p>string<d>Formatting string with %s substring placeholders
//parameters	//<p>string<d>Arguments to insert within formatting string
){
var
/*int*/argCount = arguments.length,
/*string*/print = '',
/*string[]*/formatSet = arguments[0].split('%s');
for(var i=1,m=formatSet.length+1;i<m;i++) print += formatSet[i-1] + (((i < argCount) && (arguments[i] != undefined)) ? arguments[i] : '');
return print;
}	//</f>sprintf



//################
function strcmp
(
s1,		//<p>string<d>string to compare
s2		//<p>string<d>string to compare
){
if((typeof(s1) != 'string') && (typeof(s2) != 'string')) return 1;
var
/*int*/i=0,
m=s1.length, n=s2.length;
while((i<m) && (i<n) && (s1.charAt(i)==s2.charAt(i))) i++;
if(i<m) return (i<n) ? (s1.charCodeAt(i) - s2.charCodeAt(i)) : 1;
return (m==n) ? 0 : -1;
}//</f>strcmp

